# 38. الاستعلام: الحصول على "UserData"

الحصول على "بيانات\_المستخدم" للمستخدم المخوّل.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    البريد الإلكتروني
    إجمالي_المساحة
    الحد_الأقصى_للمساحة
    وحدة_المساحة
    اللغة
    مفتاح_API
    كمية_فئات_مجموعة_بيانات_التربة
    المنظمات {
      uuid
      الاسم
      اسم_العائلة
      الاسم_الأول
      البريد الإلكتروني
      الهاتف
      تاريخ الإنشاء
      updatedDate
      المستخدمون {
        معرّف_المنظمة_UUID
        userUuid
        البريد الإلكتروني
        جميع_المزارع
        تاريخ الإنشاء
        updatedDate
        المزارع {
          uuid
          userUuid
          الاسم
          تاريخ الإنشاء
          updatedDate
          farmOwnership
          البريد الإلكتروني
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/38.-alastalam-alhswl-ala-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
